import type { AnonCredsProof, AnonCredsCredentialInfo } from '../models';
import type { AnonCredsHolderService, CreateLinkSecretOptions, CreateLinkSecretReturn, CreateProofOptions, CreateCredentialRequestOptions, CreateCredentialRequestReturn, GetCredentialOptions, GetCredentialsOptions, StoreCredentialOptions, GetCredentialsForProofRequestOptions, GetCredentialsForProofRequestReturn } from '../services';
import type { AgentContext } from '@credo-ts/core';
export declare class AnonCredsRsHolderService implements AnonCredsHolderService {
    createLinkSecret(agentContext: AgentContext, options?: CreateLinkSecretOptions): Promise<CreateLinkSecretReturn>;
    createProof(agentContext: AgentContext, options: CreateProofOptions): Promise<AnonCredsProof>;
    createCredentialRequest(agentContext: AgentContext, options: CreateCredentialRequestOptions): Promise<CreateCredentialRequestReturn>;
    storeCredential(agentContext: AgentContext, options: StoreCredentialOptions): Promise<string>;
    getCredential(agentContext: AgentContext, options: GetCredentialOptions): Promise<AnonCredsCredentialInfo>;
    getCredentials(agentContext: AgentContext, options: GetCredentialsOptions): Promise<AnonCredsCredentialInfo[]>;
    deleteCredential(agentContext: AgentContext, credentialId: string): Promise<void>;
    getCredentialsForProofRequest(agentContext: AgentContext, options: GetCredentialsForProofRequestOptions): Promise<GetCredentialsForProofRequestReturn>;
    private queryFromRestrictions;
}
